org.jCharts.test

## Class ChartTestDriver

- java.lang.Object
- - org.jCharts.test.ChartTestDriver

    public final class ChartTestDriver
    extends Object

This file provides examples of how to create all the different chart types provided by this package.

### Field Summary

Fields
`(package private) static String` `EXTENSION`
`private static String` `JPEG`
`private static String` `JPEG_LEGACY`
`(package private) static String` `OUTPUT_PATH`
`private static String` `PNG`
`private static String` `SVG`

### Constructor Summary

Constructors
Constructor and Description
`ChartTestDriver()`

### Method Summary

Methods
`(package private) static void` `exportImage(Chart chart, String fileName)` Utility method to write the image to file so I do not have to deal with file i/o every time I write a test.
`static void` `main(String[] args)` Main method so can run as command line.
`private static void` `testAxisScale()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SVG

    private static final String SVG

See Also:
  Constant Field Values

#### PNG

    private static final String PNG

See Also:
  Constant Field Values

#### JPEG

    private static final String JPEG

See Also:
  Constant Field Values

#### JPEG_LEGACY

    private static final String JPEG_LEGACY

See Also:
  Constant Field Values

#### OUTPUT_PATH

    static final String OUTPUT_PATH

See Also:
  Constant Field Values

#### EXTENSION

    static final String EXTENSION

See Also:
  Constant Field Values

### Constructor Detail

#### ChartTestDriver

    public ChartTestDriver()

### Method Detail

#### main

    public static void main(String[] args)
                     throws ChartDataException,
                            PropertyException

Main method so can run as command line.

Parameters:
  `args` - command line arguements.
Throws:
  `ChartDataException`
  `PropertyException`

#### testAxisScale

    private static void testAxisScale()

#### exportImage

    static void exportImage(Chart chart,
                   String fileName)
                     throws ChartDataException,
                            PropertyException

Utility method to write the image to file so I do not have to deal with file i/o every time I write a test.

Parameters:
  `chart` - verything that is renderable extends this class.
  `fileName` - what to name the file
Throws:
  `ChartDataException`
  `PropertyException`